Bug 170101 - Compilation failed : perl-5.8.5-16.RHEL4.src.rpm
Compilation failed : perl-5.8.5-16.RHEL4.src.rpm
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 05:38 EDT by Vesselin Kolev
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 13:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vesselin Kolev 2005-10-07 05:38:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Compilation filed whet trying to compile perl-5.8.5-16.RHEL4.src.rpm

Details: 

*********************************************************

pp_sys.c: In function `Perl_pp_shostent':
pp_sys.c:5054: warning: implicit declaration of function `sethostent_r'
pp_sys.c:5054: error: structure has no member named `_hostent_data'
pp_sys.c: In function `Perl_pp_sprotoent':
pp_sys.c:5076: warning: implicit declaration of function `setprotoent_r'
pp_sys.c:5076: error: structure has no member named `_protoent_data'
pp_sys.c: In function `Perl_pp_sservent':
pp_sys.c:5087: warning: implicit declaration of function `setservent_r'
pp_sys.c:5087: error: structure has no member named `_servent_data'
pp_sys.c: In function `Perl_pp_ehostent':
pp_sys.c:5098: warning: implicit declaration of function `endhostent_r'
pp_sys.c:5098: error: structure has no member named `_hostent_data'
pp_sys.c: In function `Perl_pp_eprotoent':
pp_sys.c:5122: warning: implicit declaration of function `endprotoent_r'
pp_sys.c:5122: error: structure has no member named `_protoent_data'
pp_sys.c: In function `Perl_pp_eservent':
pp_sys.c:5134: warning: implicit declaration of function `endservent_r'
pp_sys.c:5134: error: structure has no member named `_servent_data'
make: *** [pp_sys.o] Error 1

*********************************************************

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
# rpmbuild --sign -ba perl.spec

Additional info:
Comment 1 Vesselin Kolev 2005-10-07 07:31:26 EDT
glibc version: glibc-2.3.4-2.9
Comment 2 Warren Togami 2005-10-07 13:32:57 EDT
You are missing a required build dependency that contains netdb.h... either
glibc-headers or krb5-devel.
Comment 3 Vesselin Kolev 2005-10-08 06:25:42 EDT
Glibc-headers and krb5-devel are available:

$ rpm -q glibc
glibc-2.3.4-2.13

$ rpm -q glibc-headers
glibc-headers-2.3.4-2.13

$ rpm -q krb5-devel
krb5-devel-1.3.4-17

The file netdb.h is in /usr/include/ (the file is from packages
glibc-headers-2.3.4-2.13):

$ rpm -qf /usr/include/netdb.h
glibc-headers-2.3.4-2.13

Note You need to log in before you can comment on or make changes to this bug.